#ifdef GL_ES
//precision mediump float;
#endif

varying vec4 v_fragmentColor;
varying vec2 v_texCoord;

//uniform sampler2D CC_Texture0; render texture
//uniform sampler2D CC_Texture1; color table

void main(void)
{
    vec4 inColor = texture2D(CC_Texture0, v_texCoord);

    vec2 Offset = vec2(0.5 / 256.0, 0.5 / 16.0);
    float Scale = 15.0 / 16.0;
    float IntB = floor(inColor.b * 14.9999) / 16.0;
    float FracB = inColor.b * 15.0 - IntB * 16.0;
    float U = IntB + inColor.r * Scale / 16.0;
    float V = inColor.g * Scale;

    vec3 RG0 = texture2D(CC_Texture1, Offset + vec2(U,V)).rgb;
    vec3 RG1 = texture2D(CC_Texture1, Offset + vec2(U + 1.0 / 16.0, V)).rgb;

    gl_FragColor = vec4(mix(RG0, RG1, FracB),inColor.a);
}

